{ lib, ... }:

with lib;

let
  cfg = config.settings.display-manager;
in {
  options = {
    settings.display-manager = lib.mkOption {
      type = lib.types.enum ["sddm" "cosmic-greeter" "gdm" "none" "greetd"];  
      description = ''
        Specify which display manager to use
      '';
    };
  };

  imports = [
    ./sddm.nix
    ./cosmic-greeter.nix
    ./gdm.nix
    ./greetd.nix
  ];
}
